#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'kontrak.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
        #{alert /}
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getDetailUrl()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i>
                    &{'back'}</a>&nbsp;
                #{if paket?.statusMessage?.allowAddContract}
                <a href="${paket?.getCreateContractUrl()}" class="btn btn-sm btn-primary"><i class="fa fa-plus"></i>
                    &{'tambah_kontrak.label'}</a>
                #{/if}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="detail-wrapper">
            <div class="detail-body">
                <div class="col-md-12">
                    <div class="panel panel-default">
                        <div class="panel-body" style="overflow-x: auto">
                            <table class="table table-condensed table-striped">
                                <thead>
                                <tr>
                                    <th>&{'nomor_kontrak.label'}</th>
                                    <th>&{'tanggal_kontrak.label'}</th>
                                    <th>&{'nilai_kontrak.label'}</th>
                                    <th>&{'deskripsi.label'}</th>
                                    <th>&{'file.label'}</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                #{list items:paket?.contracts, as:'item'}
                                <tr>
                                    <td>${item.no_kontrak}</td>
                                    <td class="column-center">${item.getFormattedContractDate()}</td>
                                    <td class="column-center">${item.getFormattedContractValue()}</td>
                                    <td>${item.deskripsi}</td>
                                    <td class="column-center"><a href="@{purchasing.paketKontrakCtr.downloadUplContract(item.id)}"
                                           target="_blank">${item.file_name}</a></td>
                                    <td>
                                        <div class="dropdown">
                                            <button class="btn btn-default dropdown-toggle" type="button"
                                                    id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true"
                                                    aria-expanded="true">
                                                &{'action'}
                                                <span class="caret"></span>
                                            </button>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenu4">
                                                <li>
                                                    <a href="@{purchasing.paketKontrakCtr.downloadDoc(item.id)}"
                                                       target="_blank">&{'download_attachment'}</a>
                                                </li>
                                                <li>
                                                    <a href="#" onclick="openModal(${item.id})" name="upFileBtn">&{'unggah_file.label'}</a>
                                                </li>
                                                #{if paket?.statusMessage?.allowAddContract}
                                                <li role="separator" class="divider"></li>
                                                <li><a href="@{purchasing.paketKontrakCtr.deleteContract(item.id)}">&{'delete'}</a></li>
                                                #{/if}
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                #{/list}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--Modal-->
    <div class="modal fade" id="uplFileKontrak" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog">
            #{form @purchasing.paketKontrakCtr.uploadContract(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'unggah_file.label'}</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="paket_id" value="${paket?.id}"/>
                    <input type="hidden" id="kontrak_id" name="kontrak_id" />
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'file_kontrak.label'}</label>
                        <input type="file" id="fileupload" name="file"/>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i>
                        &{'simpan.label'}
                    </button>
                    <button type="button" class="btn btn-danger btn-md" data-dismiss="modal"><i class="fa fa-close"></i>
                        &{'batal.label'}
                    </button>
                </div>
            </div>
            #{/form}
        </div>
    </div>
</div>

</div>


<script type="text/javascript">
    function openModal(kontrak_id) {
            $("#kontrak_id").val(kontrak_id);
            jQuery('#uplFileKontrak').modal('show');
        }
</script>

